# bigip_snmp_trap – Manipulate SNMP trap information on a BIG-IP

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manipulate SNMP trap information on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
community string |  | Specifies the community name for the trap destination.
destination string |  | Specifies the address for the trap destination. This can be either an IP address or a hostname.
name string / required |  | Name of the SNMP configuration endpoint.

network
string

Choices:
- other
- management
- default

Specifies the name of the trap network. This option is not supported in versions of BIG-IP < 12.1.0. If used on versions < 12.1.0, it will simply be ignored.
The value `default` was removed in BIG-IP version 13.1.0. Specifying this value when configuring a BIG-IP will cause the module to stop and report an error. The usual remedy is to choose one of the other options, such as `management`.

partition string added in 2.5 | Default: "Common" | Device partition to manage resources on.
port string |  | Specifies the port for the trap destination.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

snmp_version
string

Choices:
- 1
- 2c

Specifies to which Simple Network Management Protocol (SNMP) version the trap destination applies.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the resource exists.
When `absent`, ensures that the resource does not exist.

## Notes

Note

- This module only supports version v1 and v2c of SNMP.

- The `network` option is not supported on versions of BIG-IP < 12.1.0 because the platform did not support that option until 12.1.0. If used on versions < 12.1.0, it will simply be ignored.

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create snmp v1 trap
      bigip_snmp_trap:
        community: general
        destination: 1.2.3.4
        name: my-trap1
        network: management
        port: 9000
        snmp_version: 1
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

    - name: Create snmp v2 trap
      bigip_snmp_trap:
        community: general
        destination: 5.6.7.8
        name: my-trap2
        network: default
        port: 7000
        snmp_version: 2c
        provider:
          server: lb.mydomain.com
          user: admin
          password: secret
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
community list | changed and success | The new `community` name for the trap destination. Sample: secret
destination string | changed and success | The new address for the trap destination in either IP or hostname form. Sample: 1.2.3.4
network string | changed and success | The new name of the network the SNMP trap is on. Sample: management
port string | changed and success | The new `port` of the trap destination. Sample: 900
snmp_version string | changed and success | The new `snmp_version` configured on the remote device. Sample: 2c

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.